Result Created Detailed

Page View

Result notifications contain details about a patient's vitals, as recorded by your connection.

You can receive notifications when a result is created.

created

Indicates that a new patient vital has been recorded in your connection's system.

You can opt in for lightweight or detailed notifications.

  • A lightweight notification provides the Observation reference, patient info, and timestamp.
  • A detailed notification contains everything in the lightweight plus extended vital info and related references.

Select payload example

ResultCreatedFullBundleExample
json
1
{
2
"resourceType": "Bundle",
3
"id": "ResultCreatedFullBundleExample",
4
"type": "message",
5
"entry": [
6
{
7
"resource": {
8
"eventUri": "https://fhir.redoxengine.com/EventDefinition/ResultCreated",
9
"resourceType": "MessageHeader",
10
"id": "8631cee4-9f3c-5f77-8fac-f30090a52ba1",
11
"source": {
12
"name": "Good Health Clinics",
13
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
14
},
15
"focus": [
16
{
17
"reference": "urn:uuid:e2029f17-8298-558e-8f21-c7837df4fb4d"
18
}
19
],
20
"definition": "https://fhir.redoxengine.com/MessageDefinition/ResultCreatedFull"
21
},
22
"fullUrl": "urn:uuid:8631cee4-9f3c-5f77-8fac-f30090a52ba1"
23
},
24
{
25
"fullUrl": "urn:uuid:e2029f17-8298-558e-8f21-c7837df4fb4d",
26
"resource": {
27
"resourceType": "Observation",
28
"id": "e2029f17-8298-558e-8f21-c7837df4fb4d",
29
"category": [
30
{
31
"coding": [
32
{
33
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
34
"code": "laboratory"
35
}
36
]
37
}
38
],
39
"identifier": [
40
{
41
"system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
42
"value": "6492428347"
43
}
44
],
45
"status": "final",
46
"subject": {
47
"reference": "urn:uuid:20bfd9a6-653e-57d4-883d-7b462330db5a"
48
},
49
"basedOn": [
50
{
51
"reference": "ServiceRequest/RedoxServiceRequestOrderExample"
52
}
53
],
54
"code": {
55
"coding": [
56
{
57
"code": "30313-1",
58
"system": "http://loinc.org"
59
}
60
],
61
"text": "HGB"
62
},
63
"specimen": {
64
"reference": "urn:uuid:0545ef3c-0e79-58c5-b290-e7da1a3b77ab"
65
},
66
"issued": "2022-02-16T17:26:19.778Z",
67
"valueQuantity": {
68
"value": 10.2,
69
"unit": "g/dl"
70
},
71
"note": [
72
{
73
"text": "An observation result note"
74
}
75
],
76
"referenceRange": [
77
{
78
"low": {
79
"value": 13.5
80
},
81
"high": {
82
"value": 17.5
83
}
84
}
85
],
86
"interpretation": [
87
{
88
"coding": [
89
{
90
"code": "L",
91
"system": "http://terminology.hl7.org/CodeSystem/v3-ObservationInterpretation",
92
"display": "Low"
93
}
94
]
95
}
96
]
97
}
98
},
99
{
100
"fullUrl": "urn:uuid:20bfd9a6-653e-57d4-883d-7b462330db5a",
101
"resource": {
102
"resourceType": "Patient",
103
"id": "20bfd9a6-653e-57d4-883d-7b462330db5a",
104
"meta": {
105
"extension": [
106
{
107
"url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
108
"valueInteger": 1
109
}
110
]
111
},
112
"extension": [
113
{
114
"extension": [
115
{
116
"url": "text",
117
"valueString": "White"
118
}
119
],
120
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
121
},
122
{
123
"extension": [
124
{
125
"url": "ombCategory",
126
"valueCoding": {
127
"code": "2135-2",
128
"system": "urn:oid:2.16.840.1.113883.6.238",
129
"display": "Hispanic or Latino"
130
}
131
},
132
{
133
"url": "text",
134
"valueString": "Hispanic"
135
}
136
],
137
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
138
}
139
],
140
"identifier": [
141
{
142
"value": "0000000001",
143
"system": "urn:redox:health-one:MR"
144
},
145
{
146
"value": "101-01-0001",
147
"system": "http://hl7.org/fhir/sid/us-ssn"
148
}
149
],
150
"name": [
151
{
152
"given": [
153
"Timothy",
154
"Paul"
155
],
156
"family": "Bixby",
157
"use": "official"
158
},
159
{
160
"text": "Billy",
161
"use": "usual"
162
}
163
],
164
"gender": "male",
165
"birthDate": "2008-01-06",
166
"telecom": [
167
{
168
"value": "+18088675301",
169
"system": "phone",
170
"use": "home"
171
},
172
{
173
"value": "+18008675309",
174
"system": "phone",
175
"use": "work"
176
},
177
{
178
"value": "timothy.bixby@redoxengine.com",
179
"system": "email"
180
}
181
],
182
"address": [
183
{
184
"line": [
185
"4762 Hickory Street"
186
],
187
"city": "Monroe",
188
"district": "Greene",
189
"state": "WI",
190
"postalCode": "53566",
191
"country": "US",
192
"use": "home"
193
}
194
],
195
"maritalStatus": {
196
"coding": [
197
{
198
"code": "M",
199
"system": "http://hl7.org/fhir/v3/MaritalStatus",
200
"display": "Married"
201
}
202
],
203
"text": "Married"
204
},
205
"communication": [
206
{
207
"language": {
208
"coding": [
209
{
210
"code": "en",
211
"system": "urn:ietf:bcp:47"
212
}
213
],
214
"text": "English"
215
}
216
}
217
],
218
"contact": [
219
{
220
"name": {
221
"given": [
222
"Barbara"
223
],
224
"family": "Bixby"
225
},
226
"telecom": [
227
{
228
"value": "+18088675303",
229
"system": "phone",
230
"use": "home"
231
},
232
{
233
"value": "barbara.bixby@redoxengine.com",
234
"system": "email"
235
}
236
],
237
"address": {
238
"line": [
239
"4762 Hickory St."
240
],
241
"city": "Monroe",
242
"district": "Green",
243
"state": "WI",
244
"postalCode": "53566",
245
"country": "USA"
246
},
247
"relationship": [
248
{
249
"coding": [
250
{
251
"code": "MTH",
252
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
253
"display": "mother"
254
}
255
],
256
"text": "Mother"
257
},
258
{
259
"coding": [
260
{
261
"code": "C",
262
"system": "http://terminology.hl7.org/CodeSystem/v2-0131",
263
"display": "Emergency Contact"
264
}
265
],
266
"text": "Emergency Contact"
267
}
268
]
269
}
270
],
271
"generalPractitioner": [
272
{
273
"reference": "Practitioner/RedoxPractitionerExamplePat"
274
}
275
],
276
"managingOrganization": {
277
"reference": "Organization/RedoxOrganizationManagingExample"
278
}
279
}
280
},
281
{
282
"fullUrl": "urn:uuid:0545ef3c-0e79-58c5-b290-e7da1a3b77ab",
283
"resource": {
284
"resourceType": "Specimen",
285
"id": "0545ef3c-0e79-58c5-b290-e7da1a3b77ab",
286
"identifier": [
287
{
288
"system": "urn:redox:example:SpecimenID",
289
"value": "123"
290
}
291
],
292
"subject": {
293
"reference": "urn:uuid:20bfd9a6-653e-57d4-883d-7b462330db5a"
294
},
295
"type": {
296
"coding": [
297
{
298
"code": "WB",
299
"system": "http://terminology.hl7.org/CodeSystem/v2-0487",
300
"display": "Blood, Whole"
301
}
302
],
303
"text": "Blood, Whole"
304
},
305
"collection": {
306
"bodySite": {
307
"text": "Left arm"
308
},
309
"collectedDateTime": "2022-02-14T19:20:02.762Z"
310
}
311
}
312
}
313
],
314
"timestamp": "2021-06-17T20:33:22.422Z"
315
}

Request Body Schema

    Bundle sent as part of a Result-created event

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: message
  • entry
    required, Array of messageHeader, result, patient, specimen or Other

    An entry in the bundle containing a FHIR resource

    • fullUrl
      string

      The Absolute URL for the resource. The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that:

      • fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)
      • Results from operations might involve resources that are not identified.
    • resource
      object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        The source application from which this message originated.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

      • focus
        required, Array of object

        The actual data of the message - a reference to the root/focus class of the event.

        Must be a resource of type Resource.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • definition
        required, string

        Permanent link to the MessageDefinition for this message.

      • eventUri
        required, string

        Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.

        Value: https://fhir.redoxengine.com/EventDefinition/ResultCreated
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.